package amo

import (
	"surdeus.su/core/amo/api"
)

const (
	// Maximum entities for once.
	// It is set to be the most effective
	// but in fact can be greater.
	MaxEnt = 50
)

type Client struct {
	API *api.Client
}

func NewClient(secretPath string) (*Client, error) {
	apiClient, err := api.NewAPI(secretPath)
	if err != nil {
		return nil, err
	}

	return &Client{
		API: apiClient,
	}, nil
}


